Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002344graphvizDotpublic2013-08-27 19:322013-08-29 09:56
Reportergraphite 
Assigned Toerg 
PrioritynormalSeverityimportantReproducibilityalways
StatusclosedResolutionfixed 
PlatformintelOSWindowsOS VersionXP
Summary0002344: incorrect edges drawn between nodes
DescriptionIncorrect edge(s) in output.
Steps To Reproduce//
// Windows:
// dot -O issue.dot.txt -Tpng
//
//
// dot version: dot - graphviz version 2.32.0 (20130802.0446)
// Example:
digraph DG {

{y}

a -> b -> c

}
// resulting dot png output is including extra edge from c to y, resulting in:
//
// a->b->c->y
//
// Seems to occur when using { } enclosement, used in subgraphs or statement-grouping,
// followed by more than 2 nodes definition statement: a->b->c
// Incorrect edge(s) is/are always to the last node.
Additional Information//
// Workaround seems to be: enclose the last node in {} too:
//
digraph DG_fix {

{y}

a->b->{c}

}
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSIONdot - graphviz version 2.32.0 (20130802.0446)
Attached Files

- Relationships

-  Notes
User avatar (0000452)
graphite (reporter)
2013-08-28 19:40

It seems this issue has the same origin as issue 2334, which is fixed in 2.33. Re-running my example, using 2.33, gives the correct result.

used: dot - graphviz version 2.33.20130828.0446 (20130828.0446)
User avatar (0000453)
erg (administrator)
2013-08-29 09:56

Yes, this was the bug that wouldn't die. We believe it will stay dead now.

- Issue History
Date Modified Username Field Change
2013-08-27 19:32 graphite New Issue
2013-08-28 19:40 graphite Note Added: 0000452
2013-08-29 09:56 erg Note Added: 0000453
2013-08-29 09:56 erg Assigned To => erg
2013-08-29 09:56 erg Status new => closed
2013-08-29 09:56 erg Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker